%define base_name jack

%define name jack2
%define version 1.9.22
%define release 28.2

%define _prefix /usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Name: jack2
Version: 1.9.22
Release: 28.2.rncbc.suse
Summary:	The Jack Audio Connection Kit
License:	GPL-2.0+
Group:		Applications/Multimedia
Source0:	%{name}-%{version}.tar.gz
URL:		http://jackaudio.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	coreutils
BuildRequires:	pkgconfig
BuildRequires:	glibc-devel
%if %{defined fedora}
BuildRequires:	alsa-lib-devel
BuildRequires:	dbus-devel
BuildRequires:	expat-devel
BuildRequires:	libdb-devel
%else
BuildRequires:	alsa-devel
BuildRequires:	dbus-1-devel
BuildRequires:	libexpat-devel
BuildRequires:	db-devel
%endif
BuildRequires:	automake >= 1.6
BuildRequires:	gcc-c++
BuildRequires:	python3
BuildRequires:	doxygen
BuildRequires:	libffado-devel
BuildRequires:	readline-devel

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.


%package -n %{base_name}
Summary:	The Jack Audio Connection Kit
Group:		Applications/Multimedia
Provides:	%{base_name} = %{version}, jack-audio-connection-kit
Obsoletes:  %{base_name} < %{version}

%description -n %{base_name}
Main programs needed for JACK (Jack Audio Connection Kit).


%package -n lib%{base_name}0
Summary:	Shared library to access JACK
Group:		System/Libraries
Provides:	lib%{base_name} = %{version}, lib%{base_name}0 = %{version}
Obsoletes:  lib%{base_name} < %{version}, lib%{base_name}0 < %{version}

%description -n lib%{base_name}0
Shared library to access JACK (Jack Audio Connection Kit).


%package -n lib%{base_name}-devel
Summary:	Development package for JACK
Group:		Development/Libraries/C and C++
Requires:	lib%{base_name} = %{version}
Provides:	lib%{base_name}-devel = %{version}, %{base_name}-devel, jack-audio-connection-kit-devel
Obsoletes:  lib%{base_name}-devel < %{version}

%description -n lib%{base_name}-devel
Files needed for JACK application development (Jack Audio Connection Kit).


%prep

%setup -q

%build
./waf configure \
      --prefix=%{_prefix} \
      --libdir=%{_libdir} \
      --classic \
      --dbus \
      --alsa
./waf build

%install
./waf install --destdir="%{buildroot}"

# move doxygen documentation to the right place
#mv %{buildroot}%{_datadir}/jack-audio-connection-kit jack

# remove extra install of the documentation
%{__rm} -rf %{buildroot}%{_datadir}/%{name2}

%post -n lib%{base_name}0
/sbin/ldconfig

%postun -n lib%{base_name}0
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf "%{buildroot}"


%files -n %{base_name}
%defattr(-,root,root)
%doc README.rst AUTHORS.rst README_NETJACK2
%doc %{_mandir}/man1/*
%{_bindir}/jackd
%{_bindir}/jackdbus
%{_bindir}/jack_control
%dir %{_libdir}/jack
%{_libdir}/jack/*.so
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.jackaudio.service

%files -n lib%{base_name}0
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n lib%{base_name}-devel
%defattr(-,root,root)
#doc jack/reference
%{_libdir}/lib*.so
#{_libdir}/lib*.la
#{_libdir}/jack/*.*a
%{_libdir}/pkgconfig/*
%{_includedir}/jack


%changelog

* Thu Feb  2 2023 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.22
- new release.
* Sat Apr 16 2022 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.21
- new release.
* Sun Jan 16 2022 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.20
- new release.
* Fri Jul 16 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.19
- new release.
* Thu Apr 15 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.18
- new release.
* Fri Jan 15 2021 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.17
- new release.
* Fri Oct 16 2020 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.16
- new hot-fix release.
* Thu Oct 15 2020 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.15
- new release.
* Thu Nov 21 2019 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.14
- new release.
* Sun Oct  6 2019 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.13
- new release.
* Wed Dec 13 2017 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.12
- new release.
* Wed Aug 13 2014 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.10
- new release.
* Thu Dec 13 2012 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.9.5
- new release.
* Wed Mar 30 2011 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.8
- new release.
* Wed Mar 30 2011 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.7
- new release.
* Mon Feb 15 2010 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.5
- new release.
* Sun Dec 27 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.4
- jackdbus now included.
* Fri Nov 20 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.4
- package files re-arrangement as similar to jack1.
* Fri Jun 26 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.9.2
- initial spec for jack2.
